Nimbu Developer Docs
ReferenceRoles

Create a role

POST
/roles

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Header Parameters

Session-Token?string

Customer session token to apply ACL filtering

Request Body

application/json

Role attributes

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/roles" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "name": "string",
  "description": "string",
  "_acl": {},
  "_owner": "string",
  "customers": [
    "string"
  ],
  "children": [
    "string"
  ],
  "parents": [
    "string"
  ]
}
Empty